package com.mortals.xhx.busiz.req;

import com.mortals.xhx.busiz.BaseReq;
import lombok.Data;

import java.io.Serializable;


@Data
public class RoomInfo implements Serializable {

    /**
     * 1：新增，2：修改，3：删除，4：激活，5：启用，6：停用
     */
    private Integer receiveMethod;

    /**
     * 房间id
     */
    private String roomId;


    private String userId;

    /**
     * 用户签名
     */
    private String userSig;

    /**
     * sdkAppID
     */
    private String sdkAppID;

    /**
     * 设备编码(暂定mac地址)
     */
    private String deviceCode;

    /**
     * 第三方平台类型(tencent.腾讯云,aliyun.阿里云,other.其它)
     */
    private String thirdPartyPlatform;

    /**
     * 加入视频流地址
     */
    private String streamUrl;




}
