package com.mortals.xhx.busiz.req;

import com.mortals.xhx.busiz.BaseReq;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


@Data
public class RoomReq extends BaseReq implements Serializable {

    /**
     * 1：新增，2：修改，3：删除，4：激活，5：启用，6：停用
     */
    private Integer receiveMethod;

    /**
     * 窗口id
     */
    private Long windowId;


    /**
     * 普通用户id
     */
    private Long customerId;


    /**
     * 工作人员id
     */
    private Long workmanId;

    /**
     * 设备编码(暂定mac地址)
     */
    private String deviceCode;

    /**
     * 第三方平台类型(tencent.腾讯云,aliyun.阿里云,other.其它)
     */
    private String thirdPartyPlatform;

    /**
     * 房间的id
     */
    private String roomId;


    /**
     * 加入房间的邀请链接
     */
    private String inviteUrl;


}
