package com.mortals.xhx.common.key;

public final class Constant {

	/**
	 * UTF-8 字符集
	 */
	public static final String UTF8 = "UTF-8";

	/**
	 * GBK 字符集
	 */
	public static final String GBK = "GBK";

	/**
	 * http请求
	 */
	public static final String HTTP = "http://";

	/** 基础代码版本 Z-BASE.MANAGER-S1.0.0 */
	public final static String BASEMANAGER_VERSION = "Z-BASE.MANAGER-S1.0.0";

	/** 数字样表机名称 */
	public final static String PARAMS_PRODUCT_NAME = "productName";

	/** 登录用户类型为客户 */
	public final static int CUSTOMER_USER = 99;

	public final static String PARAMS_RECOMMEND_COUNT = "recommend_count";

	public final static String PARAMS_BLANK_COUNT = "blank_count";

	public final static String PARAMS_HOTWORDS_DEFAULT_NUM = "hotwords_default_num";

	/**
	 * 服务器http 映射外网可访问地址
	 */
	public final static String PARAM_SERVER_HTTP_URL = "server_http_url";

	/**
	 * 工作人员topic
	 */
	public static final String WORKMAN_TOPIC = "/workman/";


	/**
	 * 普通人员topic
	 */
	public static final String CUSTOMER_TOPIC = "/customer/";


	/**
	 * 消息类型(激活)
	 */
	public static final String MESSAGETYPE_ACTIVE = "ACTIVE";

	/**
	 * 消息类型(心跳)
	 */
	public static final String MESSAGETYPE_HEARTBEAT = "HEART_BEAT";


	/**
	 * 消息类型(创建房间)
	 */
	public static final String MESSAGETYPE_ROOM_CREATE = "ROOM_CREATE";

	/**
	 * 消息类型(通知更新)
	 */
	public static final String MESSAGETYPE_NOTIFY_REFRESH = "sitechange";

	/**
	 * 消息类型(重启应用)
	 */
	public static final String MESSAGETYPE_NOTIFY_RESTART_APP = "restartapp";

	public static final String MESSAGETYPE_WAIT = "wait";

	public static final String MESSAGETYPE_WAITQUEUE = "waitqueue";

	/**
	 * 消息类型(upgread)
	 */
	public static final String MESSAGETYPE_UPGREAD = "UPGREAD";

}
