package com.mortals.xhx.module.room.service.impl;
import org.springframework.beans.BeanUtils;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.room.dao.RoomMemberDao;
import com.mortals.xhx.module.room.model.RoomMemberEntity;
import com.mortals.xhx.module.room.service.RoomMemberService;
import lombok.extern.slf4j.Slf4j;
/**
* RoomMemberService
* 房间成员 service实现
*
* @author zxfei
* @date 2024-12-17
*/
@Service("roomMemberService")
@Slf4j
public class RoomMemberServiceImpl extends AbstractCRUDServiceImpl<RoomMemberDao, RoomMemberEntity, Long> implements RoomMemberService {
    
}