package com.mortals.xhx.module.room.service.impl;
import org.springframework.beans.BeanUtils;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.room.dao.RoomVideoStreamDao;
import com.mortals.xhx.module.room.model.RoomVideoStreamEntity;
import com.mortals.xhx.module.room.service.RoomVideoStreamService;
import lombok.extern.slf4j.Slf4j;
/**
* RoomVideoStreamService
* 音视频流映射 service实现
*
* @author zxfei
* @date 2024-12-17
*/
@Service("roomVideoStreamService")
@Slf4j
public class RoomVideoStreamServiceImpl extends AbstractCRUDServiceImpl<RoomVideoStreamDao, RoomVideoStreamEntity, Long> implements RoomVideoStreamService {
    
}