package com.mortals.xhx.module.room.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.room.model.RoomEntity;
import com.mortals.xhx.module.room.service.RoomService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
import com.mortals.xhx.common.code.*;
/**
*
* 房间
*
* @author zxfei
* @date 2024-12-17
*/
@RestController
@RequestMapping("room")
public class RoomController extends BaseCRUDJsonBodyMappingController<RoomService,RoomEntity,Long> {

    @Autowired
    private ParamService paramService;

    public RoomController(){
        super.setModuleDesc( "房间");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
                this.addDict(model, "roomType", RoomTypeEnum.getEnumMap());
                this.addDict(model, "thirdPartyPlatform", ThirdPartyPlatformEnum.getEnumMap());
                this.addDict(model, "locked", LockedEnum.getEnumMap());
                this.addDict(model, "roomStatus", RoomStatusEnum.getEnumMap());
        super.init(model, context);
    }


}