package com.mortals.xhx.module.third.service.impl;
import org.springframework.beans.BeanUtils;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.third.dao.ThirdPartyLogsDao;
import com.mortals.xhx.module.third.model.ThirdPartyLogsEntity;
import com.mortals.xhx.module.third.service.ThirdPartyLogsService;
import lombok.extern.slf4j.Slf4j;
/**
* ThirdPartyLogsService
* 第三方交互日志 service实现
*
* @author zxfei
* @date 2024-12-17
*/
@Service("thirdPartyLogsService")
@Slf4j
public class ThirdPartyLogsServiceImpl extends AbstractCRUDServiceImpl<ThirdPartyLogsDao, ThirdPartyLogsEntity, Long> implements ThirdPartyLogsService {
    
}