package com.mortals.xhx.module.room.service.impl;
import org.springframework.beans.BeanUtils;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.room.dao.RoomMessageDao;
import com.mortals.xhx.module.room.model.RoomMessageEntity;
import com.mortals.xhx.module.room.service.RoomMessageService;
import lombok.extern.slf4j.Slf4j;
/**
* RoomMessageService
* 房间成员 service实现
*
* @author zxfei
* @date 2024-12-17
*/
@Service("roomMessageService")
@Slf4j
public class RoomMessageServiceImpl extends AbstractCRUDServiceImpl<RoomMessageDao, RoomMessageEntity, Long> implements RoomMessageService {
    
}